Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.io
Interface ObjectStreamContext

All Known Implementing Classes:
  MarshalInputStream, MarshalOutputStream

public interface ObjectStreamContext

Provides a collection of context information objects that are associated with an `ObjectOutputStream` or `ObjectInputStream` instance that implements this interface.

The class of an object that is being serialized or deserialized can test (in its private `writeObject(ObjectOutputStream)` or `readObject(ObjectInputStream)` method) if the object stream being used implements this interface. If the stream does implement this interface, the class can then retrieve context information relevant to the overall serialization or deserialization operation by invoking the `getObjectStreamContext` method and inspecting the elements of the returned collection.

The contents of the collection are determined by the implementation of the object stream. The context information available from a given element of the collection is determined by that element's type. Examples of types that a context object might implement include `ClientHost` and `ClientSubject`.

Since:
  2.0

Method Summary
`Collection` | `getObjectStreamContext()` Returns this object stream's collection of context information objects.

Method Detail

### getObjectStreamContext

    public Collection getObjectStreamContext()

  Returns this object stream's collection of context information objects.

  The context information available from a given element of the collection is determined by that element's type. The order of the elements is insignificant. The collection may be empty.

  The caller of this method cannot assume that the returned collection is modifiable.

  Returns:
    a collection of this stream's context objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved